/* implemented in devreg.c */

#include <linux/usb.h>

#ifdef CONFIG_DEVREG
void usb_devreg_attach_device(struct usb_device *dev);
void usb_devreg_detach_device(struct usb_device *dev);
void __init usb_devreg_init(void);
void __init usb_devreg_cleanup(void);
#else
static inline void usb_devreg_attach_device(struct usb_device *dev) {}
static inline void usb_devreg_detach_device(struct usb_device *dev) {}
static inline void __init usb_devreg_init(void) {}
static inline void __init usb_devreg_cleanup(void) {}
#endif
