struct proc_inode_info {
	struct task_struct *task;
	int type;
	union {
		int (*proc_get_link)(struct inode *, struct dentry **, struct vfsmount **);
		int (*proc_read)(struct task_struct *task, char *page);
	} op;
	struct file *file;
};

struct proc_ov_inode_info {
	/* entry must be first so it is exchangable with inode's generic_ip */
	struct proc_dir_entry *entry;
        /* directory index for dynamic dirs or negative for all others */
	int dir_index; 
	/* inode index for children*/
	unsigned int inode_index;
};
